org.apache.sysds.runtime.instructions.cp

## Enum CPInstruction.CPType

- java.lang.Object
- - java.lang.Enum<CPInstruction.CPType>
  - - org.apache.sysds.runtime.instructions.cp.CPInstruction.CPType

- All Implemented Interfaces:
    Serializable, Comparable<CPInstruction.CPType>
  Enclosing class:
    CPInstruction

      public static enum CPInstruction.CPType
      extends Enum<CPInstruction.CPType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AggregateBinary`
    `AggregateTernary`
    `AggregateUnary`
    `Append`
    `Binary`
    `Broadcast`
    `Builtin`
    `BuiltinNary`
    `CentralMoment`
    `Compression`
    `Covariance`
    `Ctable`
    `DeCompression`
    `Dnn`
    `FCall`
    `MatrixIndexing`
    `MMChain`
    `MMTSJ`
    `MultiReturnBuiltin`
    `MultiReturnParameterizedBuiltin`
    `ParameterizedBuiltin`
    `Partition`
    `PMMJ`
    `Prefetch`
    `QPick`
    `QSort`
    `Quaternary`
    `Rand`
    `Reorg`
    `Reshape`
    `SpoofFused`
    `Sql`
    `StringInit`
    `Ternary`
    `UaggOuterChain`
    `Unary`
    `Variable`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CPInstruction.CPType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CPInstruction.CPType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AggregateUnary

          public static final CPInstruction.CPType AggregateUnary

    - #### AggregateBinary

          public static final CPInstruction.CPType AggregateBinary

    - #### AggregateTernary

          public static final CPInstruction.CPType AggregateTernary

    - #### Unary

          public static final CPInstruction.CPType Unary

    - #### Binary

          public static final CPInstruction.CPType Binary

    - #### Ternary

          public static final CPInstruction.CPType Ternary

    - #### Quaternary

          public static final CPInstruction.CPType Quaternary

    - #### BuiltinNary

          public static final CPInstruction.CPType BuiltinNary

    - #### Ctable

          public static final CPInstruction.CPType Ctable

    - #### MultiReturnParameterizedBuiltin

          public static final CPInstruction.CPType MultiReturnParameterizedBuiltin

    - #### ParameterizedBuiltin

          public static final CPInstruction.CPType ParameterizedBuiltin

    - #### MultiReturnBuiltin

          public static final CPInstruction.CPType MultiReturnBuiltin

    - #### Builtin

          public static final CPInstruction.CPType Builtin

    - #### Reorg

          public static final CPInstruction.CPType Reorg

    - #### Variable

          public static final CPInstruction.CPType Variable

    - #### FCall

          public static final CPInstruction.CPType FCall

    - #### Append

          public static final CPInstruction.CPType Append

    - #### Rand

          public static final CPInstruction.CPType Rand

    - #### QSort

          public static final CPInstruction.CPType QSort

    - #### QPick

          public static final CPInstruction.CPType QPick

    - #### MatrixIndexing

          public static final CPInstruction.CPType MatrixIndexing

    - #### MMTSJ

          public static final CPInstruction.CPType MMTSJ

    - #### PMMJ

          public static final CPInstruction.CPType PMMJ

    - #### MMChain

          public static final CPInstruction.CPType MMChain

    - #### Reshape

          public static final CPInstruction.CPType Reshape

    - #### Partition

          public static final CPInstruction.CPType Partition

    - #### Compression

          public static final CPInstruction.CPType Compression

    - #### DeCompression

          public static final CPInstruction.CPType DeCompression

    - #### SpoofFused

          public static final CPInstruction.CPType SpoofFused

    - #### StringInit

          public static final CPInstruction.CPType StringInit

    - #### CentralMoment

          public static final CPInstruction.CPType CentralMoment

    - #### Covariance

          public static final CPInstruction.CPType Covariance

    - #### UaggOuterChain

          public static final CPInstruction.CPType UaggOuterChain

    - #### Dnn

          public static final CPInstruction.CPType Dnn

    - #### Sql

          public static final CPInstruction.CPType Sql

    - #### Prefetch

          public static final CPInstruction.CPType Prefetch

    - #### Broadcast

          public static final CPInstruction.CPType Broadcast

  - ### Method Detail

    - #### values

          public static CPInstruction.CPType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CPInstruction.CPType c : CPInstruction.CPType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CPInstruction.CPType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 The Apache Software Foundation. All rights reserved.